textures/water/water_light
{
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans .5
	q3map_globaltexture
	q3map_backsplash 1 23
	q3map_surfacelight 200
	q3map_lightsubdivide 128
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
		
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids_sd/siwa_water.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale -1 -1
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}



textures/13jumps2/dsiglass
{
	qer_editorimage textures/13jumps2/dsiglass.tga
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	cull disable
	qer_trans 0.5
	{
		map textures/13jumps2/dsitinfx.tga
		blendfunc add
		//rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}



textures/13jumps2/ice_slick2
{
	qer_editorimage textures/13jumps2/ice_slick2.tga
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	cull disable
	{
		map textures/13jumps2/ice_slick2.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/13jumps2/dsitinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/13jumps2/marblepad
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/13jumps2/hd_marble_white3c.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/13jumps2/marblepadslick
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/13jumps2/hd_marble_white3c.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/13jumps2/marblepadnodelay
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/13jumps2/hd_marble_white3c.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/13jumps2/grass
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/13jumps2/grass1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/13jumps2/grassnodelay
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/13jumps2/grass1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/13jumps2/nodamagecaulk
{
	qer_editorimage textures/common/caulk.tga
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/13jumps2/slickcaulk
{
	qer_editorimage textures/common/caulk.tga
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick

}

textures/13jumps2/nodelaycaulk
{
	qer_editorimage textures/common/caulk.tga
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm monsterslicknorth
	
}
	
	
	
textures/13jumps2/spiral
{ 
        cull disable	
        surfaceparm nomarks	
        surfaceparm nolightmap 
        //deformVertexes autosprite

        {
		clampmap textures/13jumps2/spiral.tga
                tcMod stretch sin .8 0.2 0 .2
                tcmod rotate 200
                blendFunc add
                rgbGen identity
	}
	{
		clampmap textures/13jumps2/spiral.tga
                tcMod stretch sin .8 0.2 0 .2
                tcmod rotate 40
                blendFunc add
                rgbGen identity
	}

}


textures/13jumps2/spiral2
{      
	qer_editorImage textures/13jumps2/spiral.tga
	q3map_surfacelight 30
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	noPicMip 
	//deformVertexes autosprite	
	{
		clampMap textures/13jumps2/spiral.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0 0.5
		tcMod rotate 100
	}
	{
		clampMap textures/13jumps2/spiral.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0.3 0.75
		tcMod rotate -40
	}
}


textures/13jumps2/lightsource
{
    //qer_editorimage path/to/editorimage.tga 
    q3map_surfacelight 250             // adjust brighter/lower
    q3map_backSplash 0 23               // 0% light directed back to the surface
    q3map_lightRGB 0.74 0.52 0.47         // color of light emitted, adjust to your liking
    //surfaceparm nomarks                 // no bulletmarks since it's supposed to be emptiness
    //surfaceparm noimpact                // if you don't want projectiles to hit it (no need for nomarks if using this)
    surfaceparm nonsolid                // if you need it to be nonsolid (no need for noimpact/nomarks if using this)
    surfaceparm nolightmap
    {
        map $whiteimage
        rgbGen const ( 0.0 0.0 0.0 )    // pure black
    }
}

textures/13jumps2/certificate
{
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/13jumps2/certificate.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/tree_temperate_sd/leaves_temperate2
{
	surfaceparm alphashadow


	deformVertexes wave 194 sin 0 2 0 .1
	deformVertexes wave 30 sin 0 1 0 .3
	deformVertexes wave 194 sin 0 1 0 .4

	cull twosided

	{
            map models/mapobjects/tree_temperate_sd/leaves_temperate2.tga


		alphaFunc GE128
		depthWrite
		rgbGen vertex

	}
}

models/mapobjects/tree_temperate_sd/trunk_temperate
{
	surfaceparm alphashadow


	deformVertexes wave 194 sin 0 2 0 .1
	deformVertexes wave 30 sin 0 1 0 .3
	deformVertexes wave 194 sin 0 1 0 .4

	cull twosided

	{
            map models/mapobjects/tree_temperate_sd/trunk_temperate.tga


		alphaFunc GE128
		depthWrite
		rgbGen vertex

	}
}